<?php

declare(strict_types=1);

use App\Controller\Payment\NotifyController;
use App\Controller\Payment\PageController;
use App\Controller\Payment\PayController;
use Hyperf\HttpServer\Router\Router;

Router::get('/favicon.ico', function () {
    return 'sdfsd';
});

Router::addGroup('/payment',function () {
    Router::post('/jsapi', [PayController::class, 'jsapi']);
    Router::post('/register', [PayController::class, 'register']);
    Router::post('/bind-card', [PayController::class, 'bindCard']);
    Router::post('/bind-card-confirm', [PayController::class, 'bindCardConfirm']);
    Router::post('/un-bind-card', [PayController::class, 'unBindCard']);
    Router::post('/protocol-pay-pre-request', [PayController::class, 'protocolPayPreRequest']);
    Router::post('/protocol-pay-confirm', [PayController::class, 'protocolPayConfirm']);
    Router::get('/page', [PageController::class, 'index']);
    Router::addRoute(['GET', 'POST'], '/notify', [NotifyController::class, 'index']);
});
